> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Transfer Ownership

> Transfer Ownership — CometChat documentation.

## Overview

`CometChatTransferOwnership` is a [Component](/ui-kit/react/v4/components-overview#components) that allows the current owner or administrator of a group to transfer the ownership rights and administrative control of that group to another user. By transferring ownership, the original owner can designate a new user as the group owner, giving them full control and administrative privileges over the group.

Here are some key points regarding the transfer ownership feature in CometChat:

1. Administrative Control: The current owner or administrator of the group has the authority to initiate the transfer of ownership. This feature is typically available to ensure flexibility and allow smooth transitions of group ownership.
2. New Group Owner: During the transfer process, the current owner can select a specific user from the group members to become the new owner. This new owner will then assume the responsibilities and privileges associated with being the group owner.
3. Administrative Privileges: As the new owner, the designated user will gain full administrative control over the group. They will have the ability to manage group settings, add or remove members, moderate conversations, and perform other administrative actions.
4. Group Continuity: Transferring ownership does not disrupt the existing group or its content. The transfer ensures the continuity of the group while transferring the administrative control to a new owner.

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/7-hZ4AEh99NJJtEC/images/972f3c42-transfer_ownership_overview_web_screens-9ba7fba64f8b8d399b15b68b2ec8cebb.png?fit=max&auto=format&n=7-hZ4AEh99NJJtEC&q=85&s=dcf9a439b3a65e53b173731066c9c8b9" width="3600" height="2400" data-path="images/972f3c42-transfer_ownership_overview_web_screens-9ba7fba64f8b8d399b15b68b2ec8cebb.png" />
</Frame>

The Transfer Ownership component is composed of the following BaseComponents:

| Components                                              | Description                                                                      |
| ------------------------------------------------------- | -------------------------------------------------------------------------------- |
| cometchat-button                                        | This component represents a button with optional icon and text.                  |
| [cometchat-label](/ui-kit/react/v4/label)               | This component provides descriptive information about the associated UI element. |
| [cometchat-radio-button](/ui-kit/react/v4/radio-button) | This component allows the user to exactly select one item from a set             |

***

## Usage

### Integration

The following code snippet illustrates how you can directly incorporate the Transfer Ownership component into your Application.

<Tabs>
  <Tab title="TransferOwnerShipDemo.tsx">
    ```typescript theme={null}

    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { CometChatTransferOwnership } from '@cometchat/chat-uikit-react'
    import React from 'react'

    const TransferOwnerShipDemo = () => {
      const [chatGroup, setChatGroup] = React.useState<CometChat.Group | undefined>();

      React.useEffect(() => {
        CometChat.getGroup("guid").then((group) => {
          setChatGroup(group);
        })
      }, []);



      return (
        <>
          {
            chatGroup &&
            <CometChatTransferOwnership
              group={chatGroup}

            />
          }
        </>
      )
    }

    export default TransferOwnerShipDemo;
    ```
  </Tab>

  <Tab title="App.tsx">
    ```typescript theme={null}
    import { TransferOwnerShipDemo } from "./TransferOwnerShipDemo";

    export default function App() {
      return (
        <div className="App">
          <TransferOwnerShipDemo />
        </div>
      );
    }
    ```
  </Tab>
</Tabs>

***

### Actions

[Actions](/ui-kit/react/v4/components-overview#actions) dictate how a component functions. They are divided into two types: Predefined and User-defined. You can override either type, allowing you to tailor the behavior of the component to fit your specific needs.

#### 1. onTransferOwnership

The `onTransferOwnership` action is activated when you select a group member and click on the transfer ownership submit button. you have the flexibility to override this event and tailor it to suit your needs using the following code snippet.

<Tabs>
  <Tab title="TypeScript">
    TransferOwnerShipDemo.tsx

    ```typescript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatTransferOwnership } from "@cometchat/chat-uikit-react";
    import React from "react";

    const TransferOwnerShipDemo = () => {
      const [chatGroup, setChatGroup] = React.useState<
        CometChat.Group | undefined
      >();

      React.useEffect(() => {
        CometChat.getGroup("GUID").then((group) => {
          setChatGroup(group);
        });
      }, []);

      function handleOnTransferOwnerShip(groupMember: CometChat.GroupMember): void {
        console.log(groupMember);
        //your custom handle on transfer-ownership actions
      }

      return (
        <>
          {chatGroup && (
            <CometChatTransferOwnership
              group={chatGroup}
              onTransferOwnership={handleOnTransferOwnerShip}
            />
          )}
        </>
      );
    };

    export default TransferOwnerShipDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    TransferOwnerShipDemo.jsx

    ```javascript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatTransferOwnership } from "@cometchat/chat-uikit-react";
    import React, { useEffect, useState } from "react";

    const TransferOwnerShipDemo = () => {
      const [chatGroup, setChatGroup] = useState(null);

      useEffect(() => {
        CometChat.getGroup("GUID").then((group) => {
          setChatGroup(group);
        });
      }, []);

      function handleOnTransferOwnerShip(groupMember) {
        console.log(groupMember);
        //your custom handle on transfer-ownership actions
      }

      return (
        <>
          {chatGroup && (
            <CometChatTransferOwnership
              group={chatGroup}
              onTransferOwnership={handleOnTransferOwnerShip}
            />
          )}
        </>
      );
    };

    export default TransferOwnerShipDemo;
    ```
  </Tab>
</Tabs>

#### 2. onClose

`onClose` is triggered when you click on the close button of the Transfer Ownership component. You can override this action using the following code snippet.

<Tabs>
  <Tab title="TypeScript">
    TransferOwnerShipDemo.tsx

    ```typescript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatTransferOwnership } from "@cometchat/chat-uikit-react";
    import React from "react";

    const TransferOwnerShipDemo = () => {
      const [chatGroup, setChatGroup] = React.useState<
        CometChat.Group | undefined
      >();

      React.useEffect(() => {
        CometChat.getGroup("GUID").then((group) => {
          setChatGroup(group);
        });
      }, []);

      function handleOnClose(): void {
        //Your Custom On Close Actions
      }

      return (
        <>
          {chatGroup && (
            <CometChatTransferOwnership group={chatGroup} onClose={handleOnClose} />
          )}
        </>
      );
    };

    export default TransferOwnerShipDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    TransferOwnerShipDemo.jsx

    ```javascript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatTransferOwnership } from "@cometchat/chat-uikit-react";
    import React, { useEffect, useState } from "react";

    const TransferOwnerShipDemo = () => {
      const [chatGroup, setChatGroup] = useState(null);

      useEffect(() => {
        CometChat.getGroup("GUID").then((group) => {
          setChatGroup(group);
        });
      }, []);

      function handleOnClose() {
        //Your Custom On Close Actions
      }

      return (
        <>
          {chatGroup && (
            <CometChatTransferOwnership group={chatGroup} onClose={handleOnClose} />
          )}
        </>
      );
    };

    export default TransferOwnerShipDemo;
    ```
  </Tab>
</Tabs>

#### 3. onError

This action doesn't change the behavior of the component but rather listens for any errors that occur in the Transfer Ownership component.

<Tabs>
  <Tab title="TypeScript">
    TransferOwnerShipDemo.tsx

    ```typescript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatTransferOwnership } from "@cometchat/chat-uikit-react";
    import React from "react";

    const TransferOwnerShipDemo = () => {
      const [chatGroup, setChatGroup] = React.useState<
        CometChat.Group | undefined
      >();

      React.useEffect(() => {
        CometChat.getGroup("GUID").then((group) => {
          setChatGroup(group);
        });
      }, []);

      function handleOnError(error: CometChat.CometChatException): void {
        //your custom on error actions
      }

      return (
        <>
          {chatGroup && (
            <CometChatTransferOwnership group={chatGroup} onError={handleOnError} />
          )}
        </>
      );
    };

    export default TransferOwnerShipDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    TransferOwnerShipDemo.jsx

    ```javascript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatTransferOwnership } from "@cometchat/chat-uikit-react";
    import React, { useEffect, useState } from "react";

    const TransferOwnerShipDemo = () => {
      const [chatGroup, setChatGroup] = useState(null);

      useEffect(() => {
        CometChat.getGroup("GUID").then((group) => {
          setChatGroup(group);
        });
      }, []);

      function handleOnError(error) {
        //Your Custom on error actions
      }

      return (
        <>
          {chatGroup && (
            <CometChatTransferOwnership group={chatGroup} onError={handleOnError} />
          )}
        </>
      );
    };

    export default TransferOwnerShipDemo;
    ```
  </Tab>
</Tabs>

***

### Filters

**Filters** allow you to customize the data displayed in a list within a Component. You can filter the list based on your specific criteria, allowing for a more customized. Filters can be applied using RequestBuilders of Chat SDK.

#### 1. GroupMembersRequestBuilder

The [GroupMembersRequestBuilder](/sdk/javascript/retrieve-group-members) enables you to filter and customize the group members list based on available parameters in GroupMembersRequestBuilder. This feature allows you to create more specific and targeted queries when fetching groups. The following are the parameters available in [GroupMembersRequestBuilder](/sdk/javascript/retrieve-group-members)

| Methods              | Type           | Description                                                                                       |
| -------------------- | -------------- | ------------------------------------------------------------------------------------------------- |
| **setLimit**         | number         | sets the number of group members that can be fetched in a single request, suitable for pagination |
| **setSearchKeyword** | String         | used for fetching group members matching the passed string                                        |
| **setScopes**        | Array\<String> | used for fetching group members based on multiple scopes                                          |

**Example**

In the example below, we are applying a filter to the Group Members by setting the limit to 3 and setting the scope to show only admin.

<Tabs>
  <Tab title="TypeScript">
    TransferOwnerShipDemo.tsx

    ```typescript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatTransferOwnership } from "@cometchat/chat-uikit-react";
    import React from "react";

    const TransferOwnerShipDemo = () => {
      const [chatGroup, setChatGroup] = React.useState<CometChat.Group>();

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      return (
        <>
          {chatGroup && (
            <CometChatTransferOwnership
              group={chatGroup}
              groupMemberRequestBuilder={new CometChat.GroupMembersRequestBuilder(
                "guid"
              )
                .setLimit(3)
                .setScopes(["admin"])}
            />
          )}
        </>
      );
    };

    export default TransferOwnerShipDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    TransferOwnerShipDemo.jsx

    ```javascript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatTransferOwnership } from "@cometchat/chat-uikit-react";
    import React, { useEffect, useState } from "react";

    const TransferOwnerShipDemo = () => {
      const [chatGroup, setChatGroup] = useState(null);

      useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      return (
        <>
          {chatGroup && (
            <CometChatTransferOwnership
              group={chatGroup}
              groupMemberRequestBuilder={new CometChat.GroupMembersRequestBuilder(
                "guid"
              )
                .setLimit(3)
                .setScopes(["admin"])}
            />
          )}
        </>
      );
    };

    export default TransferOwnerShipDemo;
    ```
  </Tab>
</Tabs>

#### 2. SearchRequestBuilder

The SearchRequestBuilder uses [GroupMembersRequestBuilder](/sdk/javascript/retrieve-group-members) enables you to filter and customize the search list based on available parameters in GroupMembersRequestBuilder. This feature allows you to keep uniformity between the displayed Group Members List and searched Group Members List.

**Example**

<Tabs>
  <Tab title="TypeScript">
    TransferOwnerShipDemo.tsx

    ```typescript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatTransferOwnership } from "@cometchat/chat-uikit-react";
    import React from "react";

    const TransferOwnerShipDemo = () => {
      const [chatGroup, setChatGroup] = React.useState<CometChat.Group>();

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      return (
        <>
          {chatGroup && (
            <CometChatTransferOwnership
              group={chatGroup}
              searchRequestBuilder={new CometChat.GroupMembersRequestBuilder("uid")
                .setLimit(2)
                .setSearchKeyword("**")}
            />
          )}
        </>
      );
    };

    export default TransferOwnerShipDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    TransferOwnerShipDemo.jsx

    ```javascript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatTransferOwnership } from "@cometchat/chat-uikit-react";
    import React, { useEffect, useState } from "react";

    const TransferOwnerShipDemo = () => {
      const [chatGroup, setChatGroup] = useState(null);

      useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      return (
        <>
          {chatGroup && (
            <CometChatTransferOwnership
              group={chatGroup}
              searchRequestBuilder={new CometChat.GroupMembersRequestBuilder(
                "uid"
              ).setLimit(2)}
            />
          )}
        </>
      );
    };

    export default TransferOwnerShipDemo;
    ```
  </Tab>
</Tabs>

***

### Events

[Events](/ui-kit/react/v4/components-overview#events) are emitted by a `Component`. By using event you can extend existing functionality. Being global events, they can be applied in Multiple Locations and are capable of being Added or Removed.

Events emitted by the Transfer Ownership component is as follows.

| Event                  | Description                                                           |
| ---------------------- | --------------------------------------------------------------------- |
| **ccOwnershipChanged** | Triggers when the ownership of a group member is changed successfully |

<Tabs>
  <Tab title="Add Listener">
    ```javascript theme={null}
    const ccOwnershipChanged = CometChatGroupEvents.ccOwnershipChanged.subscribe(
      (item: IOwnershipChanged) => {
        //Your Code
      }
    );
    ```
  </Tab>
</Tabs>

***

<Tabs>
  <Tab title="Remove Listener">
    ```javascript theme={null}
    ccOwnershipChanged?.unsubscribe();
    ```
  </Tab>
</Tabs>

***

## Customization

To fit your app's design requirements, you can customize the appearance of the Transfer Ownership component. We provide exposed methods that allow you to modify the experience and behavior according to your specific needs.

### Style

Using **Style** you can **customize** the look and feel of the component in your app, These parameters typically control elements such as the **color**, **size**, **shape**, and **fonts** used within the component.

#### 1. TransferOwnership Style

You can set the `TransferOwnershipStyle` to the Transfer Ownership Component to customize the styling.

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/dDWpooIQ48haNjyU/images/79e169cf-transfer_ownership_style_web_screens-6b9eb6d3b602e8bb2868b54b8afe65fd.png?fit=max&auto=format&n=dDWpooIQ48haNjyU&q=85&s=962e06237286e965d1216febe4d0c8a9" width="3600" height="2400" data-path="images/79e169cf-transfer_ownership_style_web_screens-6b9eb6d3b602e8bb2868b54b8afe65fd.png" />
</Frame>

<Tabs>
  <Tab title="TypeScript">
    TransferOwnerShipDemo.tsx

    ```typescript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import {
      CometChatTransferOwnership,
      TransferOwnershipStyle,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const TransferOwnerShipDemo = () => {
      const [chatGroup, setChatGroup] = React.useState<CometChat.Group>();

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const transferOwnershipStyle = new TransferOwnershipStyle({
        background: "#e9c4ff",
        MemberScopeTextColor: "#ffffff",
        transferButtonTextColor: "#ffffff",
        MemberScopeTextFont: "#ffffff",
        cancelButtonTextColor: "#ffffff",
      });
      return (
        <>
          {chatGroup && (
            <CometChatTransferOwnership
              group={chatGroup}
              transferOwnershipStyle={transferOwnershipStyle}
            />
          )}
        </>
      );
    };

    export default TransferOwnerShipDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    TransferOwnerShipDemo.jsx

    ```javascript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import {
      CometChatTransferOwnership,
      TransferOwnershipStyle,
    } from "@cometchat/chat-uikit-react";
    import React, { useEffect, useState } from "react";

    const TransferOwnerShipDemo = () => {
      const [chatGroup, setChatGroup] = useState(null);

      useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const transferOwnershipStyle = new TransferOwnershipStyle({
        background: "#e9c4ff",
        MemberScopeTextColor: "#ffffff",
        transferButtonTextColor: "#ffffff",
        MemberScopeTextFont: "#ffffff",
        cancelButtonTextColor: "#ffffff",
      });
      return (
        <>
          {chatGroup && (
            <CometChatTransferOwnership
              group={chatGroup}
              transferOwnershipStyle={transferOwnershipStyle}
            />
          )}
        </>
      );
    };

    export default TransferOwnerShipDemo;
    ```
  </Tab>
</Tabs>

***

List of properties exposed by TransferOwnershipStyle:

| Property                    | Description                            | Code                                |
| --------------------------- | -------------------------------------- | ----------------------------------- |
| **border**                  | Used to set border                     | `border?: string,`                  |
| **borderRadius**            | Used to set border radius              | `borderRadius?: string;`            |
| **background**              | Used to set background colour          | `background?: string;`              |
| **height**                  | Used to set height                     | `height?: string;`                  |
| **width**                   | Used to set width                      | `width?: string;`                   |
| **MemberScopeTextColor**    | Used to set member scope text color    | `MemberScopeTextColor?: string,`    |
| **MemberScopeTextFont**     | Used to set member scope text font     | `MemberScopeTextFont?: string;`     |
| **transferButtonTextFont**  | Used to set transfer button text font  | `transferButtonTextFont?: string;`  |
| **transferButtonTextColor** | Used to set transfer button text color | `transferButtonTextColor?: string;` |
| **cancelButtonTextFont**    | Used to set cancel button text font    | `cancelButtonTextFont?: string;`    |
| **cancelButtonTextColor**   | Used to set cancel button text color   | `cancelButtonTextColor?: string;`   |

#### 2. Avatar Style

To apply customized styles to the `Avatar` component in the Transfer Ownership Component, you can use the following code snippet. For further insights on `Avatar` Styles [refer](/ui-kit/react/v4/avatar#avatar-style)

<Tabs>
  <Tab title="TypeScript">
    TransferOwnerShipDemo.tsx

    ```typescript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import {
      CometChatTransferOwnership,
      AvatarStyle,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const TransferOwnerShipDemo = () => {
      const [chatGroup, setChatGroup] = React.useState<CometChat.Group>();

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const avatarStyle = new AvatarStyle({
        backgroundColor: "#cdc2ff",
        border: "2px solid #6745ff",
        borderRadius: "10px",
        outerViewBorderColor: "#ca45ff",
        outerViewBorderRadius: "5px",
        nameTextColor: "#4554ff",
      });
      return (
        <>
          {chatGroup && (
            <CometChatTransferOwnership
              group={chatGroup}
              avatarStyle={avatarStyle}
            />
          )}
        </>
      );
    };

    export default TransferOwnerShipDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    TransferOwnerShipDemo.jsx

    ```javascript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import {
      CometChatTransferOwnership,
      AvatarStyle,
    } from "@cometchat/chat-uikit-react";
    import React, { useEffect, useState } from "react";

    const TransferOwnerShipDemo = () => {
      const [chatGroup, setChatGroup] = useState(null);

      useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const avatarStyle = new AvatarStyle({
        backgroundColor: "#cdc2ff",
        border: "2px solid #6745ff",
        borderRadius: "10px",
        outerViewBorderColor: "#ca45ff",
        outerViewBorderRadius: "5px",
        nameTextColor: "#4554ff",
      });
      return (
        <>
          {chatGroup && (
            <CometChatTransferOwnership
              group={chatGroup}
              avatarStyle={avatarStyle}
            />
          )}
        </>
      );
    };

    export default TransferOwnerShipDemo;
    ```
  </Tab>
</Tabs>

#### 3. GroupMembers Style

You can set the `GroupMembersStyle` to the Transfer Ownership Component to customize the styling, you can use the following code snippet. For further insights on `GroupMembers` Styles [refer](/ui-kit/react/v4/group-members#1-groupmembers-style)

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/HFXOvmhiLRb5ClID/images/942296f4-transfer_ownership_group_member_style_web_screens-6d17a5bbb3dfdeffc7f17cef2500026e.png?fit=max&auto=format&n=HFXOvmhiLRb5ClID&q=85&s=9a68792d600f4daa20737cf96de49281" width="3600" height="2400" data-path="images/942296f4-transfer_ownership_group_member_style_web_screens-6d17a5bbb3dfdeffc7f17cef2500026e.png" />
</Frame>

<Tabs>
  <Tab title="TypeScript">
    TransferOwnerShipDemo.tsx

    ```typescript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import {
      CometChatTransferOwnership,
      GroupMembersStyle,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const TransferOwnerShipDemo = () => {
      const [chatGroup, setChatGroup] = React.useState<CometChat.Group>();

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const groupMembersStyle = new GroupMembersStyle({
        background: "#b17efc",
        searchPlaceholderTextColor: "#ffffff",
        titleTextColor: "#000000",
        searchBackground: "#5718b5",
      });
      return (
        <>
          {chatGroup && (
            <CometChatTransferOwnership
              group={chatGroup}
              groupMembersStyle={groupMembersStyle}
            />
          )}
        </>
      );
    };

    export default TransferOwnerShipDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    TransferOwnerShipDemo.jsx

    ```javascript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import {
      CometChatTransferOwnership,
      GroupMembersStyle,
    } from "@cometchat/chat-uikit-react";
    import React, { useEffect, useState } from "react";

    const TransferOwnerShipDemo = () => {
      const [chatGroup, setChatGroup] = useState(null);

      useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const groupMembersStyle = new GroupMembersStyle({
        background: "#b17efc",
        searchPlaceholderTextColor: "#ffffff",
        titleTextColor: "#000000",
        searchBackground: "#5718b5",
      });
      return (
        <>
          {chatGroup && (
            <CometChatTransferOwnership
              group={chatGroup}
              groupMembersStyle={groupMembersStyle}
            />
          )}
        </>
      );
    };

    export default TransferOwnerShipDemo;
    ```
  </Tab>
</Tabs>

#### 4. ListItem Style

To apply customized styles to the `ListItemStyle` component in the `Transfer Ownership` Component, you can use the following code snippet. For further insights on `ListItemStyle` Styles [refer](/ui-kit/react/v4/list-item)

<Tabs>
  <Tab title="TypeScript">
    TransferOwnerShipDemo.tsx

    ```typescript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import {
      CometChatTransferOwnership,
      ListItemStyle,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const TransferOwnerShipDemo = () => {
      const [chatGroup, setChatGroup] = React.useState<CometChat.Group>();

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const listItemStyle = new ListItemStyle({
        width: "100%",
        height: "100%",
        border: "2px solid red",
      });
      return (
        <>
          {chatGroup && (
            <CometChatTransferOwnership
              group={chatGroup}
              listItemStyle={listItemStyle}
            />
          )}
        </>
      );
    };

    export default TransferOwnerShipDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    TransferOwnerShipDemo.jsx

    ```javascript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import {
      CometChatTransferOwnership,
      ListItemStyle,
    } from "@cometchat/chat-uikit-react";
    import React, { useEffect, useState } from "react";

    const TransferOwnerShipDemo = () => {
      const [chatGroup, setChatGroup] = useState(null);

      useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const listItemStyle = new ListItemStyle({
        width: "100%",
        height: "100%",
        border: "2px solid red",
      });
      return (
        <>
          {chatGroup && (
            <CometChatTransferOwnership
              group={chatGroup}
              listItemStyle={listItemStyle}
            />
          )}
        </>
      );
    };

    export default TransferOwnerShipDemo;
    ```
  </Tab>
</Tabs>

#### 5. StatusIndicator Style

To apply customized styles to the Status Indicator component in the Transfer Ownership Component, You can use the following code snippet. For further insights on Status Indicator Styles [refer](/ui-kit/react/v4/status-indicator)

<Tabs>
  <Tab title="TypeScript">
    TransferOwnerShipDemo.tsx

    ```typescript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatTransferOwnership } from "@cometchat/chat-uikit-react";
    import React from "react";

    const TransferOwnerShipDemo = () => {
      const [chatGroup, setChatGroup] = React.useState<CometChat.Group>();

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const statusIndicatorStyle = {
        background: "#db35de",
        height: "10px",
        width: "10px",
      };
      return (
        <>
          {chatGroup && (
            <CometChatTransferOwnership
              group={chatGroup}
              statusIndicatorStyle={statusIndicatorStyle}
            />
          )}
        </>
      );
    };

    export default TransferOwnerShipDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    TransferOwnerShipDemo.jsx

    ```javascript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatTransferOwnership } from "@cometchat/chat-uikit-react";
    import React, { useEffect, useState } from "react";

    const TransferOwnerShipDemo = () => {
      const [chatGroup, setChatGroup] = useState(null);

      useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const statusIndicatorStyle = {
        background: "#db35de",
        height: "10px",
        width: "10px",
      };
      return (
        <>
          {chatGroup && (
            <CometChatTransferOwnership
              group={chatGroup}
              statusIndicatorStyle={statusIndicatorStyle}
            />
          )}
        </>
      );
    };

    export default TransferOwnerShipDemo;
    ```
  </Tab>
</Tabs>

***

### Functionality

These are a set of small functional customizations that allow you to fine-tune the overall experience of the component. With these, you can change text, set custom icons, and toggle the visibility of UI elements.

<Tabs>
  <Tab title="TypeScript">
    TransferOwnerShipDemo.tsx

    ```typescript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatTransferOwnership } from "@cometchat/chat-uikit-react";
    import React from "react";

    const TransferOwnerShipDemo = () => {
      const [chatGroup, setChatGroup] = React.useState<CometChat.Group>();

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      return (
        <>
          {chatGroup && (
            <CometChatTransferOwnership
              group={chatGroup}
              title="Your Custom Title"
              cancelButtonText="Your Custom Cancel Button Text"
              hideSeparator={true}
            />
          )}
        </>
      );
    };

    export default TransferOwnerShipDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    TransferOwnerShipDemo.jsx

    ```javascript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatTransferOwnership } from "@cometchat/chat-uikit-react";
    import React, { useEffect, useState } from "react";

    const TransferOwnerShipDemo = () => {
      const [chatGroup, setChatGroup] = useState(null);

      useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      return (
        <>
          {chatGroup && (
            <CometChatTransferOwnership
              group={chatGroup}
              title="Your Custom Title"
              cancelButtonText="Your Custom Cancel Button Text"
              hideSeparator={true}
            />
          )}
        </>
      );
    };

    export default TransferOwnerShipDemo;
    ```
  </Tab>
</Tabs>

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/L67V-UjCgqzL1qxp/images/73d8980e-transfer_ownership_functionality_default_web_screens-4519bbe228626359a62a8fb76218fd41.png?fit=max&auto=format&n=L67V-UjCgqzL1qxp&q=85&s=68929bc9b68adc780f38bfe2d30106db" width="3600" height="2400" data-path="images/73d8980e-transfer_ownership_functionality_default_web_screens-4519bbe228626359a62a8fb76218fd41.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/1W9AWrFs7khmFUQr/images/c487f42e-transfer_ownership_functionality_custom_web_screens-63919214f7b5a629f7950f34b0faaf93.png?fit=max&auto=format&n=1W9AWrFs7khmFUQr&q=85&s=b3c744580cb7e758756e9693faf8a1ae" width="3600" height="2400" data-path="images/c487f42e-transfer_ownership_functionality_custom_web_screens-63919214f7b5a629f7950f34b0faaf93.png" />
</Frame>

Below is a list of customizations along with corresponding code snippets

| Property                          | Description                                                                                     | Code                                                    |
| --------------------------------- | ----------------------------------------------------------------------------------------------- | ------------------------------------------------------- |
| **title** [report]()              | Used to set title in the app heading                                                            | `title="Your Custom Title"`                             |
| **cancelButtonText** [report]()   | Used to set the cancel button text                                                              | `cancelButtonText="Your Custom cancel button text"`     |
| **transferButtonText** [report]() | Used to set the transfer button text                                                            | `transferButtonText="Your Custom transfer button text"` |
| **errorStateText** [report]()     | Used to set a custom text response when some error occurs on fetching the list of group members | `errorStateText="your custom error state text"`         |
| **emptyStateText** [report]()     | Used to set a custom text response when fetching the group members has returned an empty list   | `emptyStateText="your custom empty state text"`         |
| **searchPlaceholder** [report]()  | Used to set custom search placeholder text                                                      | `searchPlaceholder='Custom Search PlaceHolder'`         |
| **searchIconURL**                 | Used to set search Icon in the search field                                                     | `searchIconURL="Your Custom search icon"`               |
| **loadingIconURL**                | Used to set loading Icon                                                                        | `loadingIconURL="your custom loading icon url"`         |
| **closeButtonIconURL**            | Used to set close button Icon                                                                   | `closeButtonIconURL="your custom close icon url"`       |
| **hideSearch**                    | Used to toggle visibility for search box                                                        | `hideSearch={true}"`                                    |
| **hideSeparator**                 | Used to hide the divider separating the user items                                              | `hideSeparator={true}`                                  |
| **disableUsersPresence**          | Used to toggle functionality to show user's presence                                            | `disableUsersPresence={true}`                           |
| **titleAlignment**                | Alignment of the heading text for the component                                                 | `titleAlignment={TitleAlignment.center}`                |
| **group** [report]()              | Used to pass group object of which group members will be shown                                  | `group={chatGroup}`                                     |

***

### Advance

For advanced-level customization, you can set custom views to the component. This lets you tailor each aspect of the component to fit your exact needs and application aesthetics. You can create and define your views, layouts, and UI elements and then incorporate those into the component.

***

#### ListItemView

With this property, you can assign a custom ListItem to the Transfer Ownership Component.

```javascript theme={null}
listItemView = { getListItemView };
```

**Example**

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/T-kVUXtubs0NtFU5/images/cf88ac5c-transfer_ownership_listitemview_default_web_screens-6003386876a2c474c17ecce5260a9185.png?fit=max&auto=format&n=T-kVUXtubs0NtFU5&q=85&s=c89411ee1445aeaa230d5312af6cfb68" width="3600" height="2400" data-path="images/cf88ac5c-transfer_ownership_listitemview_default_web_screens-6003386876a2c474c17ecce5260a9185.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/udim9ku6wPsRNXGs/images/de68230f-transfer_ownership_listitemview_custom_web_screens-2e0a69ae416846fcfb140ee9e29dc84a.png?fit=max&auto=format&n=udim9ku6wPsRNXGs&q=85&s=7e7bf434d2417b07cab4386b8bbb69ca" width="3600" height="2400" data-path="images/de68230f-transfer_ownership_listitemview_custom_web_screens-2e0a69ae416846fcfb140ee9e29dc84a.png" />
</Frame>

<Tabs>
  <Tab title="TypeScript">
    TransferOwnerShipDemo.tsx

    ```typescript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatTransferOwnership } from "@cometchat/chat-uikit-react";
    import React from "react";

    const TransferOwnerShipDemo = () => {
      const [chatGroup, setChatGroup] = React.useState<
        CometChat.Group | undefined
      >();

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const getListItemView = (groupMembers: CometChat.GroupMember) => {
        return (
          <div
            style={{
              display: "flex",
              alignItems: "left",
              padding: "10px",
              border: "2px solid #e9baff",
              borderRadius: "20px",
              background: "#6e2bd9",
            }}
          >
            <cometchat-avatar
              image={groupMembers.getAvatar()}
              name={groupMembers.getName()}
            />

            <div style={{ display: "flex", paddingLeft: "10px" }}>
              <div
                style={{ fontWeight: "bold", color: "#ffffff", fontSize: "14px" }}
              >
                {groupMembers.getName()}
                <div
                  style={{ color: "#ffffff", fontSize: "10px", textAlign: "left" }}
                >
                  {groupMembers.getStatus()}
                </div>
              </div>
            </div>
          </div>
        );
      };
      return (
        <>
          {chatGroup && (
            <CometChatTransferOwnership
              group={chatGroup}
              listItemView={getListItemView}
            />
          )}
        </>
      );
    };

    export default TransferOwnerShipDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    TransferOwnerShipDemo.jsx

    ```javascript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatTransferOwnership } from "@cometchat/chat-uikit-react";
    import React from "react";

    const TransferOwnerShipDemo = () => {
      const [chatGroup, setChatGroup] = useState(null);

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const getListItemView = (groupMembers) => {
        return (
          <div
            style={{
              display: "flex",
              alignItems: "left",
              padding: "10px",
              border: "2px solid #e9baff",
              borderRadius: "20px",
              background: "#6e2bd9",
            }}
          >
            <cometchat-avatar
              image={groupMembers.getAvatar()}
              name={groupMembers.getName()}
            />

            <div style={{ display: "flex", paddingLeft: "10px" }}>
              <div
                style={{ fontWeight: "bold", color: "#ffffff", fontSize: "14px" }}
              >
                {groupMembers.getName()}
                <div
                  style={{ color: "#ffffff", fontSize: "10px", textAlign: "left" }}
                >
                  {groupMembers.getStatus()}
                </div>
              </div>
            </div>
          </div>
        );
      };
      return (
        <>
          {chatGroup && (
            <CometChatTransferOwnership
              group={chatGroup}
              listItemView={getListItemView}
            />
          )}
        </>
      );
    };

    export default TransferOwnerShipDemo;
    ```
  </Tab>
</Tabs>

***

#### SubtitleView

You can customize the subtitle view for each Transfer Ownership to meet your requirements

```javascript theme={null}
subtitleView = { getSubtitleView };
```

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/HFXOvmhiLRb5ClID/images/94173e6f-transfer_ownership_subtitleview_default_web_screens-9ba7fba64f8b8d399b15b68b2ec8cebb.png?fit=max&auto=format&n=HFXOvmhiLRb5ClID&q=85&s=3520298d03552e895dbe7b9c25379175" width="3600" height="2400" data-path="images/94173e6f-transfer_ownership_subtitleview_default_web_screens-9ba7fba64f8b8d399b15b68b2ec8cebb.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/bKHmaxDqzaJZWwLS/images/452739dd-transfer_ownership_subtitleview_custom_web_screens-ebc855b0a958c95451ab5a47bfe8e4ba.png?fit=max&auto=format&n=bKHmaxDqzaJZWwLS&q=85&s=31144c521098724fce6e458c43d397e9" width="3600" height="2400" data-path="images/452739dd-transfer_ownership_subtitleview_custom_web_screens-ebc855b0a958c95451ab5a47bfe8e4ba.png" />
</Frame>

<Tabs>
  <Tab title="TypeScript">
    TransferOwnerShipDemo.tsx

    ```typescript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatTransferOwnership } from "@cometchat/chat-uikit-react";
    import React from "react";

    const TransferOwnerShipDemo = () => {
      const [chatGroup, setChatGroup] = React.useState<
        CometChat.Group | undefined
      >();

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const getSubtitleView = (
        groupMembers: CometChat.GroupMember
      ): JSX.Element => {
        function formatTime(timestamp: number) {
          const date = new Date(timestamp * 1000);
          return date.toLocaleString();
        }
        if (groupMembers instanceof CometChat.GroupMember) {
          return (
            <div
              style={{
                display: "flex",
                alignItems: "left",
                padding: "2px",
                fontSize: "10px",
              }}
            >
              <div style={{ color: "gray" }}>
                Last Active At: {formatTime(groupMembers.getLastActiveAt())}
              </div>
            </div>
          );
        } else {
          return <></>;
        }
      };
      return (
        <>
          {chatGroup && (
            <CometChatTransferOwnership
              group={chatGroup}
              subtitleView={getSubtitleView}
            />
          )}
        </>
      );
    };

    export default TransferOwnerShipDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    TransferOwnerShipDemo.jsx

    ```javascript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatTransferOwnership } from "@cometchat/chat-uikit-react";
    import React from "react";

    const TransferOwnerShipDemo = () => {
      const [chatGroup, setChatGroup] = useState(null);

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const getSubtitleView = (groupMembers) => {
        function formatTime(timestamp) {
          const date = new Date(timestamp * 1000);
          return date.toLocaleString();
        }
        if (groupMembers instanceof CometChat.GroupMember) {
          return (
            <div
              style={{
                display: "flex",
                alignItems: "left",
                padding: "2px",
                fontSize: "10px",
              }}
            >
              <div style={{ color: "gray" }}>
                Last Active At: {formatTime(groupMembers.getLastActiveAt())}
              </div>
            </div>
          );
        } else {
          return <></>;
        }
      };
      return (
        <>
          {chatGroup && (
            <CometChatTransferOwnership
              group={chatGroup}
              subtitleView={getSubtitleView}
            />
          )}
        </>
      );
    };

    export default TransferOwnerShipDemo;
    ```
  </Tab>
</Tabs>

#### LoadingStateView

You can set a custom loader view using `loadingStateView` to match the loading view of your app.

```javascript theme={null}
loadingStateView={getLoadingStateView()}
```

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/8ODUflBxloB1jkgP/images/02ca4b10-transfer_ownership_loadingview_default_web_screens-8d9726b8f5cb9be23e983cfb4edc9e6a.png?fit=max&auto=format&n=8ODUflBxloB1jkgP&q=85&s=51261fb98c80de2bf6e4a362fd0846e5" width="3600" height="2400" data-path="images/02ca4b10-transfer_ownership_loadingview_default_web_screens-8d9726b8f5cb9be23e983cfb4edc9e6a.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/7-hZ4AEh99NJJtEC/images/97ecfb01-transfer_ownership_loadingview_custom_web_screens-68ef59b5dc171c567f6790e57d4e1f62.png?fit=max&auto=format&n=7-hZ4AEh99NJJtEC&q=85&s=72b36917e48e9b7eef63fc616866637c" width="3600" height="2400" data-path="images/97ecfb01-transfer_ownership_loadingview_custom_web_screens-68ef59b5dc171c567f6790e57d4e1f62.png" />
</Frame>

<Tabs>
  <Tab title="TypeScript">
    TransferOwnerShipDemo.tsx

    ```typescript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import {
      CometChatTransferOwnership,
      LoaderStyle,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const TransferOwnerShipDemo = () => {
      const [chatGroup, setChatGroup] = React.useState<
        CometChat.Group | undefined
      >();

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const getLoadingStateView = () => {
        const getLoaderStyle = new LoaderStyle({
          iconTint: "#890aff",
          background: "transparent",
          height: "100vh",
          width: "100vw",
        });

        return (
          <cometchat-loader
            iconURL="icon"
            loaderStyle={JSON.stringify(getLoaderStyle)}
          ></cometchat-loader>
        );
      };
      return (
        <>
          {chatGroup && (
            <CometChatTransferOwnership
              group={chatGroup}
              loadingStateView={getLoadingStateView()}
            />
          )}
        </>
      );
    };

    export default TransferOwnerShipDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    TransferOwnerShipDemo.jsx

    ```javascript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import {
      CometChatTransferOwnership,
      LoaderStyle,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const TransferOwnerShipDemo = () => {
      const [chatGroup, setChatGroup] = useState(null);

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const getLoadingStateView = () => {
        const getLoaderStyle = new LoaderStyle({
          iconTint: "#890aff",
          background: "transparent",
          height: "100vh",
          width: "100vw",
        });

        return (
          <cometchat-loader
            iconURL="icon"
            loaderStyle={JSON.stringify(getLoaderStyle)}
          ></cometchat-loader>
        );
      };
      return (
        <>
          {chatGroup && (
            <CometChatTransferOwnership
              group={chatGroup}
              loadingStateView={getLoadingStateView()}
            />
          )}
        </>
      );
    };

    export default TransferOwnerShipDemo;
    ```
  </Tab>
</Tabs>

#### EmptyStateView

You can set a custom `EmptyStateView` using `emptyStateView` to match the empty view of your app.

```javascript theme={null}
emptyStateView={getEmptyStateView()}
```

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/NuY3hD_g_g_X-fwH/images/8301954a-transfer_ownership_empty_stateview_default_web_screens-81d2342a6a4c07f07eeb07a7f0e4ee0a.png?fit=max&auto=format&n=NuY3hD_g_g_X-fwH&q=85&s=005d3ac70304db0201e8df9357367def" width="3600" height="2400" data-path="images/8301954a-transfer_ownership_empty_stateview_default_web_screens-81d2342a6a4c07f07eeb07a7f0e4ee0a.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/czi9y0KbDwCW-4OY/images/705cca61-transfer_ownership_empty_stateview_custom_web_screens-503c625010bd7a2c81ba02517b2042e2.png?fit=max&auto=format&n=czi9y0KbDwCW-4OY&q=85&s=4e5f55292c225a3bdb087b8cfff5d353" width="3600" height="2400" data-path="images/705cca61-transfer_ownership_empty_stateview_custom_web_screens-503c625010bd7a2c81ba02517b2042e2.png" />
</Frame>

<Tabs>
  <Tab title="TypeScript">
    TransferOwnerShipDemo.tsx

    ```typescript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatTransferOwnership } from "@cometchat/chat-uikit-react";
    import React from "react";

    const TransferOwnerShipDemo = () => {
      const [chatGroup, setChatGroup] = React.useState<
        CometChat.Group | undefined
      >();

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const getEmptyStateView = () => {
        return (
          <div style={{ color: "#d6cfff", fontSize: "30px", font: "bold" }}>
            Your Custom Empty State
          </div>
        );
      };
      return (
        <>
          {chatGroup && (
            <CometChatTransferOwnership
              group={chatGroup}
              emptyStateView={getEmptyStateView()}
            />
          )}
        </>
      );
    };

    export default TransferOwnerShipDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    TransferOwnerShipDemo.jsx

    ```javascript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatTransferOwnership } from "@cometchat/chat-uikit-react";
    import React from "react";

    const TransferOwnerShipDemo = () => {
      const [chatGroup, setChatGroup] = useState(null);

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const getEmptyStateView = () => {
        return (
          <div style={{ color: "#d6cfff", fontSize: "30px", font: "bold" }}>
            Your Custom Empty State
          </div>
        );
      };
      return (
        <>
          {chatGroup && (
            <CometChatTransferOwnership
              group={chatGroup}
              emptyStateView={getEmptyStateView()}
            />
          )}
        </>
      );
    };

    export default TransferOwnerShipDemo;
    ```
  </Tab>
</Tabs>

***

#### ErrorStateView

You can set a custom `ErrorStateView` using `errorStateView` to match the error view of your app.

```javascript theme={null}
errorSateView={getErrorStateView()}
```

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/y8uIEcRYKgfQIY6z/images/9ceaf6ef-transfer_ownership_error_stateview_default_web_screens-b4392ad08741e6190acb903ed8354adc.png?fit=max&auto=format&n=y8uIEcRYKgfQIY6z&q=85&s=eb45ced4395f0f9d52078b20d40cf655" width="3600" height="2400" data-path="images/9ceaf6ef-transfer_ownership_error_stateview_default_web_screens-b4392ad08741e6190acb903ed8354adc.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/vk8kXY4T6hhH4l00/images/6bea7178-transfer_ownership_error_stateview_custom_web_screens-2c40b3d7946214b0feda18c4025fc8c4.png?fit=max&auto=format&n=vk8kXY4T6hhH4l00&q=85&s=5227cf632650d9259b57acfe8fbd9294" width="3600" height="2400" data-path="images/6bea7178-transfer_ownership_error_stateview_custom_web_screens-2c40b3d7946214b0feda18c4025fc8c4.png" />
</Frame>

<Tabs>
  <Tab title="TypeScript">
    TransferOwnerShipDemo.tsx

    ```typescript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatTransferOwnership } from "@cometchat/chat-uikit-react";
    import React from "react";

    const TransferOwnerShipDemo = () => {
      const [chatGroup, setChatGroup] = React.useState<
        CometChat.Group | undefined
      >();

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const getErrorStateView = () => {
        return (
          <div style={{ height: "100vh", width: "100vw" }}>
            <img
              src="image"
              alt="error icon"
              style={{
                height: "100px",
                width: "100px",
                marginTop: "250px",
                justifyContent: "center",
              }}
            ></img>
          </div>
        );
      };
      return (
        <>
          {chatGroup && (
            <CometChatTransferOwnership
              group={chatGroup}
              errorStateView={getErrorStateView()}
            />
          )}
        </>
      );
    };

    export default TransferOwnerShipDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    TransferOwnerShipDemo.jsx

    ```javascript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatTransferOwnership } from "@cometchat/chat-uikit-react";
    import React from "react";

    const TransferOwnerShipDemo = () => {
      const [chatGroup, setChatGroup] = useState(null);

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const getErrorStateView = () => {
        return (
          <div style={{ height: "100vh", width: "100vw" }}>
            <img
              src="image"
              alt="error icon"
              style={{
                height: "100px",
                width: "100px",
                marginTop: "250px",
                justifyContent: "center",
              }}
            ></img>
          </div>
        );
      };
      return (
        <>
          {chatGroup && (
            <CometChatTransferOwnership
              group={chatGroup}
              errorStateView={getErrorStateView()}
            />
          )}
        </>
      );
    };

    export default TransferOwnerShipDemo;
    ```
  </Tab>
</Tabs>

***


> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Transfer Ownership

> Transfer Ownership — CometChat documentation.

## Overview

`CometChatTransferOwnership` is a [Component](/docs/ui-kit/angular/v4/components-overview#components) that allows the current owner or administrator of a group to transfer the ownership rights and administrative control of that group to another user. By transferring ownership, the original owner can designate a new user as the group owner, giving them full control and administrative privileges over the group.

Here are some key points regarding the transfer ownership feature in CometChat:

1. Administrative Control: The current owner or administrator of the group has the authority to initiate the transfer of ownership. This feature is typically available to ensure flexibility and allow smooth transitions of group ownership.
2. New Group Owner: During the transfer process, the current owner can select a specific user from the group members to become the new owner. This new owner will then assume the responsibilities and privileges associated with being the group owner.
3. Administrative Privileges: As the new owner, the designated user will gain full administrative control over the group. They will have the ability to manage group settings, add or remove members, moderate conversations, and perform other administrative actions.
4. Group Continuity: Transferring ownership does not disrupt the existing group or its content. The transfer ensures the continuity of the group while transferring the administrative control to a new owner.

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/7-hZ4AEh99NJJtEC/images/972f3c42-transfer_ownership_overview_web_screens-9ba7fba64f8b8d399b15b68b2ec8cebb.png?fit=max&auto=format&n=7-hZ4AEh99NJJtEC&q=85&s=dcf9a439b3a65e53b173731066c9c8b9" width="3600" height="2400" data-path="images/972f3c42-transfer_ownership_overview_web_screens-9ba7fba64f8b8d399b15b68b2ec8cebb.png" />
</Frame>

The Transfer Ownership component is composed of the following BaseComponents:

| Components                                                | Description                                                                      |
| --------------------------------------------------------- | -------------------------------------------------------------------------------- |
| cometchat-button                                          | This component represents a button with optional icon and text.                  |
| [cometchat-label](/docs/ui-kit/angular/v4/label)               | This component provides descriptive information about the associated UI element. |
| [cometchat-radio-button](/docs/ui-kit/angular/v4/radio-button) | This component allows the user to exactly select one item from a set             |

***

## Usage

### Integration

The following code snippet illustrates how you can directly incorporate the Transfer Ownership component into your Application.

<Tabs>
  <Tab title="app.module.ts">
    ```ts theme={null}
    import { CUSTOM_ELEMENTS_SCHEMA, NgModule } from "@angular/core";
    import { BrowserModule } from "@angular/platform-browser";
    import { CometChatTransferOwnership } from "@cometchat/chat-uikit-angular";
    import { AppComponent } from "./app.component";

    @NgModule({
      imports: [BrowserModule, CometChatTransferOwnership],
      declarations: [AppComponent],
      providers: [],
      bootstrap: [AppComponent],
      schemas: [CUSTOM_ELEMENTS_SCHEMA],
    })
    export class AppModule {}
    ```
  </Tab>

  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      public groupObject!: CometChat.Group;
      ngOnInit(): void {
        CometChat.getGroup("guid").then((group: CometChat.Group) => {
          this.groupObject = group;
        });
      }
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-transfer-ownership
        *ngIf="groupObject"
        [group]="groupObject"
      ></cometchat-transfer-ownership>
    </div>
    ```
  </Tab>
</Tabs>

***

### Actions

[Actions](/docs/ui-kit/angular/v4/components-overview#actions) dictate how a component functions. They are divided into two types: Predefined and User-defined. You can override either type, allowing you to tailor the behavior of the component to fit your specific needs.

##### 1. onTransferOwnership

The `onTransferOwnership` action is activated when you select a group member and click on the transfer ownership submit button. you have the flexibility to override this event and tailor it to suit your needs using the following code snippet.

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      public groupObject!: CometChat.Group;
      ngOnInit(): void {
        CometChat.getGroup("guid").then((group: CometChat.Group) => {
          this.groupObject = group;
        });
      }
      public handleOnTransferOwnership = (member: CometChat.GroupMember) => {
        console.log("your custom on transfer ownership actions");
      };
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-transfer-ownership
        *ngIf="groupObject"
        [group]="groupObject"
        [onTransferOwnership]="handleOnTransferOwnership"
      ></cometchat-transfer-ownership>
    </div>
    ```
  </Tab>
</Tabs>

##### 2. onClose

`onClose` is triggered when you click on the close button of the Transfer Ownership component. You can override this action using the following code snippet.

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      public groupObject!: CometChat.Group;
      ngOnInit(): void {
        CometChat.getGroup("guid").then((group: CometChat.Group) => {
          this.groupObject = group;
        });
      }
      public handleOnClose = () => {
        console.log("Your custom on close actions");
      };
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-transfer-ownership
        *ngIf="groupObject"
        [group]="groupObject"
        [onClose]="handleOnClose"
      ></cometchat-transfer-ownership>
    </div>
    ```
  </Tab>
</Tabs>

##### 3. onError

This action doesn't change the behavior of the component but rather listens for any errors that occur in the Transfer Ownership component.

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      public groupObject!: CometChat.Group;
      ngOnInit(): void {
        CometChat.getGroup("guid").then((group: CometChat.Group) => {
          this.groupObject = group;
        });
      }
      public handleOnError = (error: CometChat.CometChatException) => {
        console.log("your custom on error action", error);
      };
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-transfer-ownership
        *ngIf="groupObject"
        [group]="groupObject"
        [onError]="handleOnError"
      ></cometchat-transfer-ownership>
    </div>
    ```
  </Tab>
</Tabs>

***

### Filters

**Filters** allow you to customize the data displayed in a list within a Component. You can filter the list based on your specific criteria, allowing for a more customized. Filters can be applied using RequestBuilders of Chat SDK.

##### 1. GroupMembersRequestBuilder

The [GroupMembersRequestBuilder](/docs/sdk/javascript/retrieve-group-members) enables you to filter and customize the group members list based on available parameters in GroupMembersRequestBuilder. This feature allows you to create more specific and targeted queries when fetching groups. The following are the parameters available in [GroupMembersRequestBuilder](/docs/sdk/javascript/retrieve-group-members)

| Methods              | Type           | Description                                                                                       |
| -------------------- | -------------- | ------------------------------------------------------------------------------------------------- |
| **setLimit**         | number         | sets the number of group members that can be fetched in a single request, suitable for pagination |
| **setSearchKeyword** | String         | used for fetching group members matching the passed string                                        |
| **setScopes**        | Array\<String> | used for fetching group members based on multiple scopes                                          |

**Example**

In the example below, we are applying a filter to the Group Members by setting the limit to 3 and setting the scope to show only admin.

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      public groupObject!: CometChat.Group;
      ngOnInit(): void {
        CometChat.getGroup("guid").then((group: CometChat.Group) => {
          this.groupObject = group;
        });
      }
      groupMemberRequestBuilder = new CometChat.GroupMembersRequestBuilder('guid').setLimit(3).setScopes(['admin'])
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-transfer-ownership
        *ngIf="groupObject"
        [group]="groupObject"
        [groupMemberRequestBuilder]="groupMemberRequestBuilder"
      ></cometchat-transfer-ownership>
    </div>
    ```
  </Tab>
</Tabs>

##### 2. SearchRequestBuilder

The SearchRequestBuilder uses [GroupMembersRequestBuilder](/docs/sdk/javascript/retrieve-group-members) enables you to filter and customize the search list based on available parameters in GroupMembersRequestBuilder. This feature allows you to keep uniformity between the displayed Group Members List and searched Group Members List.

**Example**

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      public groupObject!: CometChat.Group;
      ngOnInit(): void {
        CometChat.getGroup("guid").then((group: CometChat.Group) => {
          this.groupObject = group;
        });
      }
      searchRequestBuilder = new CometChat.GroupMembersRequestBuilder('guid').setLimit(2).setSearchKeyword("**")
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-transfer-ownership
        *ngIf="groupObject"
        [group]="groupObject"
        [searchRequestBuilder]="searchRequestBuilder"
      ></cometchat-transfer-ownership>
    </div>
    ```
  </Tab>
</Tabs>

***

### Events

[Events](/docs/ui-kit/angular/v4/components-overview#events) are emitted by a `Component`. By using event you can extend existing functionality. Being global events, they can be applied in Multiple Locations and are capable of being Added or Removed.

Events emitted by the Transfer Ownership component is as follows.

| Event                  | Description                                                           |
| ---------------------- | --------------------------------------------------------------------- |
| **ccOwnershipChanged** | Triggers when the ownership of a group member is changed successfully |

<Tabs>
  <Tab title="TypeScript">
    ```ts theme={null}
    import {CometChatGroupEvents} from "@cometchat/chat-uikit-angular";

    this.ccOwnershipChanged = CometChatGroupEvents.ccOwnershipChanged.subscribe(
      (item: IOwnershipChanged) => {
            // Your Code
      }
    );
    ```
  </Tab>
</Tabs>

***

Removing `CometChatGroupEvents` Listener's

<Tabs>
  <Tab title="TypeScript">
    ```ts theme={null}
    this.ccOwnershipChanged.unsubscribe();
    ```
  </Tab>
</Tabs>

***

## Customization

To fit your app's design requirements, you can customize the appearance of the Transfer Ownership component. We provide exposed methods that allow you to modify the experience and behavior according to your specific needs.

### Style

Using **Style** you can **customize** the look and feel of the component in your app, These parameters typically control elements such as the **color**, **size**, **shape**, and **fonts** used within the component.

##### 1. TransferOwnership Style

You can set the `TransferOwnershipStyle` to the Transfer Ownership Component to customize the styling.

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/dDWpooIQ48haNjyU/images/79e169cf-transfer_ownership_style_web_screens-6b9eb6d3b602e8bb2868b54b8afe65fd.png?fit=max&auto=format&n=dDWpooIQ48haNjyU&q=85&s=962e06237286e965d1216febe4d0c8a9" width="3600" height="2400" data-path="images/79e169cf-transfer_ownership_style_web_screens-6b9eb6d3b602e8bb2868b54b8afe65fd.png" />
</Frame>

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import { TransferOwnershipStyle } from '@cometchat/uikit-shared';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      public groupObject!: CometChat.Group;
      ngOnInit(): void {
        CometChat.getGroup("guid").then((group: CometChat.Group) => {
          this.groupObject = group;
        });
      }
      transferOwnershipStyle = new TransferOwnershipStyle({
        background: "#e9c4ff",
        MemberScopeTextColor: "#ffffff",
        transferButtonTextColor: "#ffffff",
        MemberScopeTextFont: "#ffffff",
        cancelButtonTextColor: "#ffffff",
      });
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-transfer-ownership
        *ngIf="groupObject"
        [group]="groupObject"
        [transferOwnershipStyle]="transferOwnershipStyle"
      ></cometchat-transfer-ownership>
    </div>
    ```
  </Tab>
</Tabs>

***

List of properties exposed by TransferOwnershipStyle:

| Property                    | Description                            | Code                                |
| --------------------------- | -------------------------------------- | ----------------------------------- |
| **border**                  | Used to set border                     | `border?: string,`                  |
| **borderRadius**            | Used to set border radius              | `borderRadius?: string;`            |
| **background**              | Used to set background colour          | `background?: string;`              |
| **height**                  | Used to set height                     | `height?: string;`                  |
| **width**                   | Used to set width                      | `width?: string;`                   |
| **MemberScopeTextColor**    | Used to set member scope text color    | `MemberScopeTextColor?: string,`    |
| **MemberScopeTextFont**     | Used to set member scope text font     | `MemberScopeTextFont?: string;`     |
| **transferButtonTextFont**  | Used to set transfer button text font  | `transferButtonTextFont?: string;`  |
| **transferButtonTextColor** | Used to set transfer button text color | `transferButtonTextColor?: string;` |
| **cancelButtonTextFont**    | Used to set cancel button text font    | `cancelButtonTextFont?: string;`    |
| **cancelButtonTextColor**   | Used to set cancel button text color   | `cancelButtonTextColor?: string;`   |

##### 2. Avatar Style

To apply customized styles to the `Avatar` component in the Transfer Ownership Component, you can use the following code snippet. For further insights on `Avatar` Styles [refer](/docs/ui-kit/angular/v4/avatar#avatar-style)

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit, AvatarStyle } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      public groupObject!: CometChat.Group;
      ngOnInit(): void {
        CometChat.getGroup("guid").then((group: CometChat.Group) => {
          this.groupObject = group;
        });
      }
      avatarStyle = new AvatarStyle({
        backgroundColor: "#cdc2ff",
        border: "2px solid #6745ff",
        borderRadius: "10px",
        outerViewBorderColor: "#ca45ff",
        outerViewBorderRadius: "5px",
        nameTextColor: "#4554ff"
      });
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-transfer-ownership
        *ngIf="groupObject"
        [group]="groupObject"
        [avatarStyle]="avatarStyle"
      ></cometchat-transfer-ownership>
    </div>
    ```
  </Tab>
</Tabs>

##### 3. GroupMembers Style

You can set the `GroupMembersStyle` to the Transfer Ownership Component to customize the styling, you can use the following code snippet. For further insights on `GroupMembers` Styles [refer](/docs/ui-kit/angular/v4/group-members#1-groupmembers-style)

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/HFXOvmhiLRb5ClID/images/942296f4-transfer_ownership_group_member_style_web_screens-6d17a5bbb3dfdeffc7f17cef2500026e.png?fit=max&auto=format&n=HFXOvmhiLRb5ClID&q=85&s=9a68792d600f4daa20737cf96de49281" width="3600" height="2400" data-path="images/942296f4-transfer_ownership_group_member_style_web_screens-6d17a5bbb3dfdeffc7f17cef2500026e.png" />
</Frame>

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import { GroupMembersStyle } from '@cometchat/uikit-shared';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      public groupObject!: CometChat.Group;
      ngOnInit(): void {
        CometChat.getGroup("guid").then((group: CometChat.Group) => {
          this.groupObject = group;
        });
      }
      groupMembersStyle = new GroupMembersStyle({
        background: "#b17efc",
        searchPlaceholderTextColor: "#ffffff",
        titleTextColor: "#000000",
        searchBackground: "#5718b5",
      });
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-transfer-ownership
        *ngIf="groupObject"
        [group]="groupObject"
        [groupMembersStyle]="groupMembersStyle"
      ></cometchat-transfer-ownership>
    </div>
    ```
  </Tab>
</Tabs>

##### 4. ListItem Style

To apply customized styles to the `List Item` component in the `Transfer Ownership` Component, you can use the following code snippet. For further insights on `List Item` Styles [refer](/docs/ui-kit/angular/v4/list-item)

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit, ListItemStyle } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      public groupObject!: CometChat.Group;
      ngOnInit(): void {
        CometChat.getGroup("guid").then((group: CometChat.Group) => {
          this.groupObject = group;
        });
      }
      listItemStyle: ListItemStyle = new ListItemStyle({
        background: "transparent",
        padding: "5px",
        border: "1px solid #e9b8f5",
        titleColor: "#8830f2",
        borderRadius: "20px",
        width: "100% !important"
      });
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-transfer-ownership
        *ngIf="groupObject"
        [group]="groupObject"
        [listItemStyle]="listItemStyle"
      ></cometchat-transfer-ownership>
    </div>
    ```
  </Tab>
</Tabs>

##### 5. StatusIndicator Style

To apply customized styles to the Status Indicator component in the Transfer Ownership Component, You can use the following code snippet. For further insights on Status Indicator Styles [refer](/docs/ui-kit/angular/v4/status-indicator)

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      public groupObject!: CometChat.Group;
      ngOnInit(): void {
        CometChat.getGroup("guid").then((group: CometChat.Group) => {
          this.groupObject = group;
        });
      }
      statusIndicatorStyle: any = ({
        height: '20px',
        width: '20px',
        backgroundColor: 'red'
      });
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-transfer-ownership
        *ngIf="groupObject"
        [group]="groupObject"
        [statusIndicatorStyle]="statusIndicatorStyle"
      ></cometchat-transfer-ownership>
    </div>
    ```
  </Tab>
</Tabs>

***

### Functionality

These are a set of small functional customizations that allow you to fine-tune the overall experience of the component. With these, you can change text, set custom icons, and toggle the visibility of UI elements.

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      public groupObject!: CometChat.Group;
      ngOnInit(): void {
        CometChat.getGroup("guid").then((group: CometChat.Group) => {
          this.groupObject = group;
        });
      }
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-transfer-ownership
        *ngIf="groupObject"
        [group]="groupObject"
        [title]="'Your Custom Title'"
        [cancelButtonText]="'Your Custom Cancel Button Text'"
        [hideSeparator]="true"
      ></cometchat-transfer-ownership>
    </div>
    ```
  </Tab>
</Tabs>

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/L67V-UjCgqzL1qxp/images/73d8980e-transfer_ownership_functionality_default_web_screens-4519bbe228626359a62a8fb76218fd41.png?fit=max&auto=format&n=L67V-UjCgqzL1qxp&q=85&s=68929bc9b68adc780f38bfe2d30106db" width="3600" height="2400" data-path="images/73d8980e-transfer_ownership_functionality_default_web_screens-4519bbe228626359a62a8fb76218fd41.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/1W9AWrFs7khmFUQr/images/c487f42e-transfer_ownership_functionality_custom_web_screens-63919214f7b5a629f7950f34b0faaf93.png?fit=max&auto=format&n=1W9AWrFs7khmFUQr&q=85&s=b3c744580cb7e758756e9693faf8a1ae" width="3600" height="2400" data-path="images/c487f42e-transfer_ownership_functionality_custom_web_screens-63919214f7b5a629f7950f34b0faaf93.png" />
</Frame>

Below is a list of customizations along with corresponding code snippets

| Property                                                         | Description                                                                                     | Code                                                      |
| ---------------------------------------------------------------- | ----------------------------------------------------------------------------------------------- | --------------------------------------------------------- |
| **title** <Tooltip tip="Not available">🛑</Tooltip>              | Used to set title in the app heading                                                            | `[title]="Your Custom Title"`                             |
| **cancelButtonText** <Tooltip tip="Not available">🛑</Tooltip>   | Used to set the cancel button text                                                              | `[cancelButtonText]="Your Custom cancel button text"`     |
| **transferButtonText** <Tooltip tip="Not available">🛑</Tooltip> | Used to set the transfer button text                                                            | `[transferButtonText]="Your Custom transfer button text"` |
| **errorStateText** <Tooltip tip="Not available">🛑</Tooltip>     | Used to set a custom text response when some error occurs on fetching the list of group members | `[errorStateText]="your custom error state text"`         |
| **emptyStateText** <Tooltip tip="Not available">🛑</Tooltip>     | Used to set a custom text response when fetching the group members has returned an empty list   | `[emptyStateText]="your custom empty state text"`         |
| **searchPlaceholder** <Tooltip tip="Not available">🛑</Tooltip>  | Used to set custom search placeholder text                                                      | `[searchPlaceholder]='Custom Search PlaceHolder'`         |
| **searchIconURL**                                                | Used to set search Icon in the search field                                                     | `[searchIconURL]="'Your Custom search icon'"`             |
| **loadingIconURL**                                               | Used to set loading Icon                                                                        | `[loadingIconURL]="'your custom loading icon url'"`       |
| **closeButtonIconURL**                                           | Used to set close button Icon                                                                   | `[closeButtonIconURL]="closeButtonIconURL"`               |
| **hideSearch**                                                   | Used to toggle visibility for search box                                                        | `[hideSearch]="true""`                                    |
| **hideSeparator**                                                | Used to hide the divider separating the user items                                              | `[hideSeparator]="true"`                                  |
| **disableUsersPresence**                                         | Used to toggle functionality to show user's presence                                            | `[disableUsersPresence]="true"`                           |
| **titleAlignment**                                               | Alignment of the heading text for the component                                                 | `[titleAlignment]="titleAlignment"`                       |
| **group** <Tooltip tip="Not available">🛑</Tooltip>              | Used to pass group object of which group members will be shown                                  | `[group]="groupObject"`                                   |

***

### Advance

For advanced-level customization, you can set custom views to the component. This lets you tailor each aspect of the component to fit your exact needs and application aesthetics. You can create and define your views, layouts, and UI elements and then incorporate those into the component.

***

#### ListItemView

With this property, you can assign a custom ListItem to the Transfer Ownership Component.

**Example**

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/T-kVUXtubs0NtFU5/images/cf88ac5c-transfer_ownership_listitemview_default_web_screens-6003386876a2c474c17ecce5260a9185.png?fit=max&auto=format&n=T-kVUXtubs0NtFU5&q=85&s=c89411ee1445aeaa230d5312af6cfb68" width="3600" height="2400" data-path="images/cf88ac5c-transfer_ownership_listitemview_default_web_screens-6003386876a2c474c17ecce5260a9185.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/udim9ku6wPsRNXGs/images/de68230f-transfer_ownership_listitemview_custom_web_screens-2e0a69ae416846fcfb140ee9e29dc84a.png?fit=max&auto=format&n=udim9ku6wPsRNXGs&q=85&s=7e7bf434d2417b07cab4386b8bbb69ca" width="3600" height="2400" data-path="images/de68230f-transfer_ownership_listitemview_custom_web_screens-2e0a69ae416846fcfb140ee9e29dc84a.png" />
</Frame>

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      public groupObject!: CometChat.Group;
      ngOnInit(): void {
        CometChat.getGroup("guid").then((group: CometChat.Group) => {
          this.groupObject = group;
        });
      }
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-transfer-ownership
        *ngIf="groupObject"
        [group]="groupObject"
        [listItemView]="listItemViewTemplate"
      ></cometchat-transfer-ownership>
    </div>

    <ng-template #listItemViewTemplate let-groupMember>
      <div
        [ngStyle]="{
          display: 'flex',
          alignItems: 'left',
          padding: '10px',
          border: '2px solid #e9baff',
          borderRadius: '20px',
          background: '#ffffff'
        }"
      >
        <cometchat-avatar
          [image]="groupMember.getAvatar()"
          [name]="groupMember.getName()"
        ></cometchat-avatar>
        <div [ngStyle]="{ display: 'flex', paddingLeft: '10px' }">
          <div
            [ngStyle]="{
              fontWeight: 'bold',
              color: '#937aff',
              fontSize: '14px',
              marginTop: '5px'
            }"
          >
            {{ groupMember.getName() }}
            <div
              [ngStyle]="{
                color: '#cfc4ff',
                fontSize: '10px',
                textAlign: 'left'
              }"
            >
              {{ groupMember.getStatus() }}
            </div>
          </div>
        </div>
      </div>
    </ng-template>
    ```
  </Tab>
</Tabs>

***

#### SubtitleView

You can customize the subtitle view for each Transfer Ownership to meet your requirements

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/HFXOvmhiLRb5ClID/images/94173e6f-transfer_ownership_subtitleview_default_web_screens-9ba7fba64f8b8d399b15b68b2ec8cebb.png?fit=max&auto=format&n=HFXOvmhiLRb5ClID&q=85&s=3520298d03552e895dbe7b9c25379175" width="3600" height="2400" data-path="images/94173e6f-transfer_ownership_subtitleview_default_web_screens-9ba7fba64f8b8d399b15b68b2ec8cebb.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/bKHmaxDqzaJZWwLS/images/452739dd-transfer_ownership_subtitleview_custom_web_screens-ebc855b0a958c95451ab5a47bfe8e4ba.png?fit=max&auto=format&n=bKHmaxDqzaJZWwLS&q=85&s=31144c521098724fce6e458c43d397e9" width="3600" height="2400" data-path="images/452739dd-transfer_ownership_subtitleview_custom_web_screens-ebc855b0a958c95451ab5a47bfe8e4ba.png" />
</Frame>

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      public groupObject!: CometChat.Group;
      ngOnInit(): void {
        CometChat.getGroup("guid").then((group: CometChat.Group) => {
          this.groupObject = group;
        });
      }
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-transfer-ownership
        *ngIf="groupObject"
        [group]="groupObject"
        [subtitleView]="subtitleTemplate"
      ></cometchat-transfer-ownership>
    </div>

    <ng-template #subtitleTemplate>
      <div
        style="display: flex; align-items: left; padding: 10px; font-size: 10px;"
      >
        your custom subtitle view
      </div>
    </ng-template>
    ```
  </Tab>
</Tabs>

***

#### LoadingStateView

You can set a custom loader view using `loadingStateView` to match the loading view of your app.

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/8ODUflBxloB1jkgP/images/02ca4b10-transfer_ownership_loadingview_default_web_screens-8d9726b8f5cb9be23e983cfb4edc9e6a.png?fit=max&auto=format&n=8ODUflBxloB1jkgP&q=85&s=51261fb98c80de2bf6e4a362fd0846e5" width="3600" height="2400" data-path="images/02ca4b10-transfer_ownership_loadingview_default_web_screens-8d9726b8f5cb9be23e983cfb4edc9e6a.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/7-hZ4AEh99NJJtEC/images/97ecfb01-transfer_ownership_loadingview_custom_web_screens-68ef59b5dc171c567f6790e57d4e1f62.png?fit=max&auto=format&n=7-hZ4AEh99NJJtEC&q=85&s=72b36917e48e9b7eef63fc616866637c" width="3600" height="2400" data-path="images/97ecfb01-transfer_ownership_loadingview_custom_web_screens-68ef59b5dc171c567f6790e57d4e1f62.png" />
</Frame>

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit, LoaderStyle } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      public groupObject!: CometChat.Group;
      ngOnInit(): void {
        CometChat.getGroup("guid").then((group: CometChat.Group) => {
          this.groupObject = group;
        });
      }
      getLoaderStyle: LoaderStyle = new LoaderStyle({
        iconTint: "red",
        background: "transparent",
        height: "20px",
        width: "20px",
        border: "none",
        borderRadius: "0",
      });
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-transfer-ownership
        *ngIf="groupObject"
        [group]="groupObject"
        [loadingStateView]="loadingStateView"
      ></cometchat-transfer-ownership>
    </div>

    <ng-template #loadingStateView>
      <cometchat-loader
        iconURL="icon"
        [loaderStyle]="getLoaderStyle"
      ></cometchat-loader>
    </ng-template>
    ```
  </Tab>
</Tabs>

***

#### EmptyStateView

You can set a custom `EmptyStateView` using `emptyStateView` to match the empty view of your app.

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/NuY3hD_g_g_X-fwH/images/8301954a-transfer_ownership_empty_stateview_default_web_screens-81d2342a6a4c07f07eeb07a7f0e4ee0a.png?fit=max&auto=format&n=NuY3hD_g_g_X-fwH&q=85&s=005d3ac70304db0201e8df9357367def" width="3600" height="2400" data-path="images/8301954a-transfer_ownership_empty_stateview_default_web_screens-81d2342a6a4c07f07eeb07a7f0e4ee0a.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/czi9y0KbDwCW-4OY/images/705cca61-transfer_ownership_empty_stateview_custom_web_screens-503c625010bd7a2c81ba02517b2042e2.png?fit=max&auto=format&n=czi9y0KbDwCW-4OY&q=85&s=4e5f55292c225a3bdb087b8cfff5d353" width="3600" height="2400" data-path="images/705cca61-transfer_ownership_empty_stateview_custom_web_screens-503c625010bd7a2c81ba02517b2042e2.png" />
</Frame>

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      public groupObject!: CometChat.Group;
      ngOnInit(): void {
        CometChat.getGroup("guid").then((group: CometChat.Group) => {
          this.groupObject = group;
        });
      }
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-transfer-ownership
        *ngIf="groupObject"
        [group]="groupObject"
        [emptyStateView]="emptyStateView"
      ></cometchat-transfer-ownership>
    </div>

    <ng-template #emptyStateView>
      <div>Your Custom Empty State</div>
    </ng-template>
    ```
  </Tab>
</Tabs>

***

#### ErrorStateView

You can set a custom `ErrorStateView` using `errorStateView` to match the error view of your app.

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/y8uIEcRYKgfQIY6z/images/9ceaf6ef-transfer_ownership_error_stateview_default_web_screens-b4392ad08741e6190acb903ed8354adc.png?fit=max&auto=format&n=y8uIEcRYKgfQIY6z&q=85&s=eb45ced4395f0f9d52078b20d40cf655" width="3600" height="2400" data-path="images/9ceaf6ef-transfer_ownership_error_stateview_default_web_screens-b4392ad08741e6190acb903ed8354adc.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/vk8kXY4T6hhH4l00/images/6bea7178-transfer_ownership_error_stateview_custom_web_screens-2c40b3d7946214b0feda18c4025fc8c4.png?fit=max&auto=format&n=vk8kXY4T6hhH4l00&q=85&s=5227cf632650d9259b57acfe8fbd9294" width="3600" height="2400" data-path="images/6bea7178-transfer_ownership_error_stateview_custom_web_screens-2c40b3d7946214b0feda18c4025fc8c4.png" />
</Frame>

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      public groupObject!: CometChat.Group;
      ngOnInit(): void {
        CometChat.getGroup("guid").then((group: CometChat.Group) => {
          this.groupObject = group;
        });
      }
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-transfer-ownership
        *ngIf="groupObject"
        [group]="groupObject"
        [errorStateView]="errorStateView"
      ></cometchat-transfer-ownership>
    </div>

    <ng-template #errorStateView>
      <div style="height: 100vh; width: 100vw">
        <img
          src="icon"
          alt="error icon"
          style="height:100px; width: 100px; justify-content: center; margin-top: 250px; margin-right: 700px;"
        />
      </div>
    </ng-template>
    ```
  </Tab>
</Tabs>

***
